## netcfg 1.116ubuntu2

=== Makefile ===
NETCFG_VERSION := $(shell dpkg-parsechangelog | grep ^Version: |sed 's/Version: //')
NETCFG_BUILD_DATE := $(shell date '+%Y%m%d-%H%M')
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CC		?= gcc
TARGETS		?= netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer
CFLAGS		= -W -Wall -Werror -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -DNETCFG_BUILD_DATE="\"$(NETCFG_BUILD_DATE)\"" -I.
COMMON_OBJS	= netcfg-common.o wireless.o write_interface.o ipv6.o
NETCFG_O   	= netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o rdnssd.o autoconfig.o
NETCFG_STATIC_O	= netcfg-static.o static.o ethtool-lite.o

WIRELESS	= 1
NM		= 1
ifneq ($(DEB_HOST_ARCH_OS),linux)
WIRELESS	= 0
NM		= 0
endif
ifeq ($(DEB_HOST_ARCH),s390)
WIRELESS	= 0
endif
ifeq ($(DEB_HOST_ARCH),s390x)
WIRELESS	= 0
endif
ifeq ($(DEB_HOST_ARCH),sparc)
WIRELESS	= 0
endif

ifneq ($(WIRELESS),0)
LDOPTS		+= -liw
CFLAGS		+= -DWIRELESS
endif
ifneq ($(NM),0)
CFLAGS		+= -DNM
NETCFG_O	+= nm-conf.o
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-static: $(NETCFG_STATIC_O)
netcfg: $(NETCFG_O)

ethtool-lite: ethtool-lite-test.o
	$(CC) -o $@ $<

ethtool-lite-test.o: ethtool-lite.c
	$(CC) -c $(CFLAGS) -DTEST $(DEFS) $(INCS) -o $@ $<

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) ethtool-lite *.o test/*.o test/run

include test/tests.mk

.PHONY: all clean

# vim:ts=8:noet

=== debian/changelog ===
netcfg (1.116ubuntu2) trusty; urgency=medium

  * Fix BOOTIF detection to handle the newline at the end of a line read
    from /proc/cmdline (LP: #1350302).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Sep 2014 20:38:54 +0100

netcfg (1.116ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.
      (We already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run
      is bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect netcfg/dhcpv6_timeout
      and running dhclient in one-shot mode (-1). (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2014 14:46:49 +0100

netcfg (1.116) unstable; urgency=medium

  [ Colin Watson ]
  * Substitute hostname rather than client->value in netcfg_get_hostname, to
    avoid substituting nonsense like "value set" in some cases.
  * Don't issue duplicate error messages if the hostname fails both the
    valid_domain and valid_hostname tests.

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Apr 2014 09:35:55 +0200

netcfg (1.115) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Judit Gyimesi

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 17:25:08 +0100

netcfg (1.114ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.
      (We already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run
      is bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect netcfg/dhcpv6_timeout
      and running dhclient in one-shot mode (-1). (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration file.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Dec 2013 11:26:35 +0000

netcfg (1.114) unstable; urgency=low

  * Make netcfg Arch: any again. This reverts a change made in version
    0.23 over a decade ago, intended to omit s390, which apparently
    is no longer needed.

 -- dann frazier <dannf@debian.org>  Thu, 12 Dec 2013 15:02:28 -0700

netcfg (1.113) unstable; urgency=low

  * Add arm64 to the Architecture field.

 -- dann frazier <dannf@debian.org>  Thu, 12 Dec 2013 10:47:25 -0700

netcfg (1.112ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.
      (We already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run
      is bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect netcfg/dhcpv6_timeout
      and running dhclient in one-shot mode (-1). (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration file.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Nov 2013 17:37:34 -0500

netcfg (1.112) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 19:16:58 +0100

netcfg (1.111ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.


## netcfg 1.119ubuntu2

=== debian/changelog ===
netcfg (1.119ubuntu2) utopic; urgency=medium

  * Always allow fe80::/64 for the default gateway. (LP: #1382295)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 20 Oct 2014 13:08:39 -0400

netcfg (1.119ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.  (We
      already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run is
      bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect
      netcfg/dhcpv6_timeout and running dhclient in one-shot mode (-1).
      (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration
      file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Aug 2014 12:42:06 -0700

netcfg (1.119) unstable; urgency=medium

  [ Colin Watson ]
  * Don't copy /etc/network/interfaces to /target if
    netcfg/target_network_config=ifupdown; it's already been copied by the
    base-installer hook earlier, and copying it again makes it hard to
    modify /target/etc/network/interfaces in a preseed file (closes:
    #709017, LP: #1361902).
  * Fix BOOTIF detection to handle the newline at the end of a line read
    from /proc/cmdline (LP: #1350302).

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Aug 2014 20:26:09 +0100

netcfg (1.118) unstable; urgency=high

  * Fix support for entering an ESSID manually, it was previously
    getting ignored (Closes: #757478). Thanks to James Cowgill for the
    report and the patch!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 09 Aug 2014 21:47:27 +0200

netcfg (1.117) unstable; urgency=low

  * Add lintian overrides for untranslatable debconf templates. I like
    when packages are lintian-clean...

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 May 2014 12:40:57 +0200

## netcfg 1.127

=== debian/changelog ===
netcfg (1.127) unstable; urgency=medium

  * Add support for /etc/network/interfaces.d/ by adding a "source"
    directive (Closes: #770078). It can be replaced with a
    "source-directory" one during the next release cycle.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 04 Jan 2015 22:48:47 +0100

netcfg (1.126) unstable; urgency=low

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Dec 2014 21:36:11 +0100

netcfg (1.125) unstable; urgency=medium

  * Re-upload without stray files.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Nov 2014 11:35:43 +0100

netcfg (1.124) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Nov 2014 07:47:55 +0100

netcfg (1.123) unstable; urgency=medium

  * Fix missing bounds check on nameserver array iteration, leading to a
    crash when 4 (or more) nameservers are available (Closes: #768218).
    Thanks, Kjell Braden, for the bug report, patch, and tests!

 -- Cyril Brulebois <kibi@debian.org>  Thu, 06 Nov 2014 13:49:31 +0100

netcfg (1.122) unstable; urgency=medium

  * netcfg-static.c: call netcfg_interface_init() on struct
    netcfg_interface before using it to avoid calling free() on a random
    pointer.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Sep 2014 07:02:57 +0200

netcfg (1.121) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 10:14:09 +0200

netcfg (1.120) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Do not kill_dhcp_client after setting the hostname and domain,
    otherwise Linux udhcpc will stop renewing its lease, and on other
    platforms dhclient will de-configure the network interface
    (Closes: #757711, #757988)

 -- Cyril Brulebois <kibi@debian.org>  Fri, 05 Sep 2014 23:40:24 +0200

## netcfg 1.127ubuntu1

=== debian/changelog ===
netcfg (1.127ubuntu1) vivid; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.  (We
      already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run is
      bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect
      netcfg/dhcpv6_timeout and running dhclient in one-shot mode (-1).
      (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration
      file.
    - Always allow fe80::/64 for the default gateway. (LP: #1382295)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 Mar 2015 10:36:15 -0500

netcfg (1.128) UNRELEASED; urgency=medium

  * Pacify GCC 5 misdetecting link_waits as uninitialised (closes: #778023).

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Mar 2015 13:59:34 +0000

## netcfg 1.129

=== debian/changelog ===
netcfg (1.129) unstable; urgency=medium

  [ Colin Watson ]
  * Pacify GCC 5 misdetecting link_waits as uninitialised (closes: #778023).

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 07:53:02 +0100

## netcfg 1.130

=== debian/changelog ===
netcfg (1.130) unstable; urgency=medium

  [ Colin Watson ]
  * Don't build the compilation date and time into the binary.  This made
    the build unreproducible.

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Mar 2015 08:34:09 +0100

## netcfg 1.131

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 NETCFG_VERSION := $(shell dpkg-parsechangelog | grep ^Version: |sed 's/Version: //')
-NETCFG_BUILD_DATE := $(shell date '+%Y%m%d-%H%M')
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -7,7 +6,7 @@
 TARGETS		?= netcfg-static netcfg
 
 LDOPTS		= -ldebconfclient -ldebian-installer
-CFLAGS		= -W -Wall -Werror -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -DNETCFG_BUILD_DATE="\"$(NETCFG_BUILD_DATE)\"" -I.
+CFLAGS		= -W -Wall -Werror -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -I.
 COMMON_OBJS	= netcfg-common.o wireless.o write_interface.o ipv6.o
 NETCFG_O   	= netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o rdnssd.o autoconfig.o
 NETCFG_STATIC_O	= netcfg-static.o static.o ethtool-lite.o

=== debian/changelog ===
netcfg (1.131) unstable; urgency=medium

  * Kill the DHCP client on Linux again and keep it running on kFreeBSD.
    This unbreaks network configuration on Linux when a DHCPv6 server is
    present on the network segment. However it also means that the
    DHCPv4 lease is no longer being refreshed (not a regression over
    stable). (Closes: #768188)

 -- Philipp Kern <pkern@debian.org>  Tue, 24 Mar 2015 21:48:00 +0100

## netcfg 1.131+deb8u1

=== debian/changelog ===
netcfg (1.131+deb8u1) stable; urgency=medium

  * Fix is_layer3_qeth on s390x to avoid bailing out if the network
    driver is not qeth. (Closes: #798376)

 -- Philipp Kern <pkern@home.philkern.de>  Sat, 03 Oct 2015 20:53:41 +0200

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
	Christian Perrier <bubulle@debian.org>,
	Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/netcfg.git
Vcs-Git: git://anonscm.debian.org/d-i/netcfg.git

Package: netcfg
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
	freebsd-net-tools-udeb [kfreebsd-any],
	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	rdnssd-udeb,
	ndisc6-udeb,
	wide-dhcpv6-client-udeb [linux-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This
 component will first try to configure your network with DHCP and ask
 you for static network configuration if this fails. The configured
 network settings will be copied to your newly installed system.

Package: netcfg-static
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.131+deb8u1+kbsd8u1

=== debian/changelog ===
netcfg (1.131+deb8u1+kbsd8u1) jessie-kfreebsd; urgency=medium

  * Run the ISC DHCPv6 client (only used on kfreebsd) with the -1 flag
    so that it eventually times out.  Similar issue to #767188 but
    having a different cause, this is much more easily fixed.

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 05 Oct 2015 19:29:25 +0000

## netcfg 1.131+deb8u2

=== debian/changelog ===
netcfg (1.131+deb8u2) jessie; urgency=medium

  * IPv6 autoconfiguration: fix NTP server name handling, which would be
    stored as the DHCP-provided hostname, with many thanks to Malcolm
    Scott for the bug report and the patch (Closes: #862745).
  * Stop queueing rdnssd's installation with IPv6 setups. This component
    conflicts with network-manager and installing it from the network
    configuration step might prevents large parts of desktop environments
    from being installed. This isn't a perfect solution but this should be
    way better than the current status quo (Closes: #854801).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jul 2017 17:28:42 +0200

## netcfg 1.135ubuntu4

=== debian/changelog ===
netcfg (1.135ubuntu4) xenial; urgency=medium

  * Add vlan support, based on YunQiang Su patch and Philipp Kern's
    rewrite, with own additions. Closes: #433568

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 Apr 2016 13:17:04 +0100

netcfg (1.135ubuntu3) xenial; urgency=medium

  * On s390x ask the user if DHCP network autoconfiguration should be
    proceeded or not. DHCP should be supported in KVM|MAAS|OpenStack
    deployements, however at the same time most LPAR|z/VM deployments use
    static network configuration on s390x. LP: #1567688

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 07:53:27 +0100

netcfg (1.135ubuntu2) xenial; urgency=medium

  Cherrypick commits from debian netcfg master.

  [ Hendrik Brueckner ]
  * common/ipaddr: remove leading and trailing whitespaces
  * static: trim user-specified values for IP and other addresses
  * Closes: #818611, LP: #1541955

  [ Dimitri John Ledkov ]
  * Makefile: link with -lm to resolve undefined log and other functions

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Mar 2016 13:55:14 +0100

netcfg (1.135ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.  (We
      already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run is
      bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect
      netcfg/dhcpv6_timeout and running dhclient in one-shot mode (-1).
      (LP: #917905)
    - Fix FTBFS by checking the return value of fgets and fscanf.
    - Fix nm-conf to generate a valid NetworkManager static configuration
      file.
    - Always allow fe80::/64 for the default gateway. (LP: #1382295)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 26 Nov 2015 15:51:04 -0500

netcfg (1.135) unstable; urgency=medium

  [ Philipp Kern ]
  * ethtool-lite: read the kernel's carrier detection result from sysfs
    on Linux (Closes: #591012)
  * Default wireless_security_type to WPA. (Closes: #798373)

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Nov 2015 14:03:53 +0100

netcfg (1.134) unstable; urgency=medium

  * Fix is_layer3_qeth on s390x to avoid bailing out if the network
    driver is not qeth. (Closes: #798376)
  * Link against libsubunit to resolve a FTBFS.

 -- Philipp Kern <pkern@debian.org>  Mon, 17 Aug 2015 17:12:10 +0200

netcfg (1.133) unstable; urgency=medium

  [ Samuel Thibault ]
  * Work around bug #769189: make isc-dhcp only try to release the lease once,
    otherwise it loops in the ipv6 code.

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Jul 2015 07:25:29 +0200

netcfg (1.132) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Jun 2015 15:11:32 +0200

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

override_dh_install:
	dh_install
	install -m755 netcfg-static debian/netcfg-static/bin/netcfg

override_dh_installdebconf:
	dh_installdebconf
ifneq (,$(shell dh_listpackages | grep '^netcfg-static$$'))
	(echo; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg-static/DEBIAN/templates
endif
ifneq (,$(shell dh_listpackages | grep '^netcfg$$'))
	(echo ; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-dhcp.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-static.templates) \
	   >> debian/netcfg/DEBIAN/templates
endif

## netcfg 1.135ubuntu4.5

=== debian/changelog ===
netcfg (1.135ubuntu4.5) xenial; urgency=medium

  * Add description for non-PCI platform network interfaces. LP: #1697914

 -- dann frazier <dannf@ubuntu.com>  Wed, 19 Jul 2017 15:15:12 -0600

netcfg (1.135ubuntu4.4) xenial; urgency=medium

  * Fix NTP server name handling in IPv6 autoconfiguration. (LP: #1614514)
    Thanks to Malcolm Scott for the patch.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Jun 2017 17:33:37 -0700

netcfg (1.135ubuntu4.3) xenial; urgency=medium

  * Don't reap old resolv.conf if resolvconf is in use. Thanks Dariusz Gadomsky 
    for the patch. (LP: #1646585)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 23 May 2017 11:52:14 -0400

netcfg (1.135ubuntu4.2) xenial; urgency=medium

  * Do now show an empty option 4 when using netcfg, without a wifi-card,
    and when automatic configuration fails. This is achieved by
    substituting all choices into the question, from two internal select
    templates of identical options but wifireconf one. This resolves UX
    bug without changing translation strings or fuzzing any of the
    existing translations. LP: #1558271
  * Also use short stable systemd-udev names to discover descriptions for
    the network interfaces. LP: #1572620

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Jan 2017 11:45:36 +0000

netcfg (1.135ubuntu4.1) xenial; urgency=medium

  * With vlan connection type, finish-install.d would decide to purge
    network configuration and writeout loopback interfaces only, due to
    the assumption that !wired, must be wireless. Write out loopback only
    config with wireless only connection type. With this change vlan
    settings propagate through to the system, after additional
    network-manager changes were added. LP: #1567687

  * When DHCP is disabled via preseed, do not ask the DHCP question on
    s390x by propagating the seen flags from preseed-only keys to the
    interactive question. This is a side-effect / regression from
    1.135ubuntu3. LP: #1572607

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 May 2016 11:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 	Christian Perrier <bubulle@debian.org>,
 	Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/netcfg.git
 Vcs-Git: git://anonscm.debian.org/d-i/netcfg.git
 
@@ -14,13 +15,12 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	ethernet-card-detection,
-	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
+	isc-dhcp-client-udeb,
 	freebsd-net-tools-udeb [kfreebsd-any],
 	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	rdnssd-udeb,
-	ndisc6-udeb,
-	wide-dhcpv6-client-udeb [linux-any]
+	ndisc6-udeb
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

## netcfg 1.138ubuntu2.1

=== debian/changelog ===
netcfg (1.138ubuntu2.1) yakkety; urgency=medium

  * Fix NTP server name handling in IPv6 autoconfiguration. (LP: #1614514)
    Thanks to Malcolm Scott for the patch.
  * Don't reap old resolv.conf if resolvconf is in use. Thanks Dariusz Gadomsky
    for the patch. (LP: #1646585)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Jun 2017 17:20:48 -0700

netcfg (1.138ubuntu2) yakkety; urgency=medium

  * On NetworkManager-using systems, write a netplan config file to hand
    over control of all our interfaces to NetworkManager (LP: #1616400)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 25 Aug 2016 09:29:05 -0600

netcfg (1.138ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Set priority for get_domain to high for static configurations.
    - Set priority for get_domain to medium for non-static configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Set DHCP and DHCPv6 timeout to 30s.
    - Use isc-dhcp-client-udeb on all architectures.
    - Flush all addresses and routes before configuring interfaces
      (LP: #848072)
    - Don't copy /etc/resolv.conf to target if resolvconf is installed.  (We
      already write resolvconf configuration to /etc/network/interfaces.)
    - Add a post-base-install hook to detect resolvconf and copy
      /run/resolvconf/resolv.conf to outside the target so that when /run is
      bind-mounted DNS resolving continues to work. (LP: #926447)
    - Apply patch from Alec Warner making netcfg respect
      netcfg/dhcpv6_timeout and running dhclient in one-shot mode (-1).
      (LP: #917905)
    - Fix nm-conf to generate a valid NetworkManager static configuration
      file.
    - Always allow fe80::/64 for the default gateway. (LP: #1382295)
    - Add vlan support.
    - On s390x ask if DHCP autoconfiguration should be performed or not.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Aug 2016 09:34:18 +0100

netcfg (1.138) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * common/ipaddr: remove leading and trailing whitespaces
  * static: trim user-specified values for IP and other addresses
  * Closes: #818611, LP: #1541955

  [ Dimitri John Ledkov ]
  * dhcp.c: check return result of two more fgets calls
  * nm-conf.c: check return result of fscanf
  * Makefile: link with -lm to resolve undefined log and other functions
  * All of above resolves FTBFS

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2016 08:06:37 +0200

netcfg (1.137) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 07:02:48 +0100

netcfg (1.136) unstable; urgency=medium

  * Fix confusing indentation pointed out by GCC 6 (closes: #811589).

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Jan 2016 13:43:39 +0000

netcfg (1.135ubuntu6) yakkety; urgency=medium

  * With vlan connection type, finish-install.d would decide to purge
    network configuration and writeout loopback interfaces only, due to
    the assumption that !wired, must be wireless. Write out loopback only
    config with wireless only connection type. With this change vlan
    settings propagate through to the system, after additional
    network-manager changes were added. LP: #1567687

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 May 2016 12:26:10 +0100

netcfg (1.135ubuntu5) yakkety; urgency=medium

  * When DHCP is disabled via preseed, do not ask the DHCP question on
    s390x by propagating the seen flags from preseed-only keys to the
    interactive question. This is a side-effect / regression from
    1.135ubuntu3. LP: #1572607

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 May 2016 11:44:18 +0100

## netcfg 1.138ubuntu5.2

=== debian/changelog ===
netcfg (1.138ubuntu5.2) zesty; urgency=medium

  * Add description for non-PCI platform network interfaces. LP: #1697914

 -- dann frazier <dannf@ubuntu.com>  Wed, 19 Jul 2017 15:09:05 -0600

netcfg (1.138ubuntu5.1) zesty; urgency=medium

  * Fix NTP server name handling in IPv6 autoconfiguration. (LP: #1614514)
    Thanks to Malcolm Scott for the patch.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Jun 2017 17:06:33 -0700

netcfg (1.138ubuntu5) zesty; urgency=medium

  * Don't reap old resolv.conf if resolvconf is in use. Thanks Dariusz Gadomsky
    for the patch. (LP: #1646585)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 03 Apr 2017 13:45:53 -0400

netcfg (1.138ubuntu4) zesty; urgency=medium
 
  * Do now show an empty option 4 when using netcfg, without a wifi-card,
    and when automatic configuration fails. This is achieved by
    substituting all choices into the question, from two internal select
    templates of identical options but wifireconf one. This resolves UX
    bug without changing translation strings or fuzzing any of the
    existing translations. LP: #1558271

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Jan 2017 15:47:43 +0000
 

netcfg (1.138ubuntu3) zesty; urgency=medium

  * Also use short stable systemd-udev names to discover descriptions for
    the network interfaces. LP: #1572620

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Jan 2017 12:51:54 +0000

## netcfg 1.141

=== debian/changelog ===
netcfg (1.141) unstable; urgency=medium

  [ Samuel Thibault ]
  * Revert work around for bug #769189, it is now fixed.

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Jan 2017 05:56:00 +0100

netcfg (1.140) unstable; urgency=medium

  [ Julien Cristau ]
  * Stop writing netmask/network/broadcast lines in /etc/network/interfaces,
    just set the prefix length as part of the address (closes: #646860).

 -- Philipp Kern <pkern@debian.org>  Wed, 04 Jan 2017 15:30:08 +0100

netcfg (1.139) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Aug 2016 10:03:46 +0200

## netcfg 1.142

=== debian/changelog ===
netcfg (1.142) unstable; urgency=medium

  * IPv6 autoconfiguration: fix NTP server name handling, which would be
    stored as the DHCP-provided hostname, with many thanks to Malcolm
    Scott for the bug report and the patch (Closes: #862745).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 17 May 2017 00:06:51 +0200

## netcfg 1.142ubuntu7

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 	Christian Perrier <bubulle@debian.org>,
 	Philipp Kern <pkern@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/netcfg.git
-Vcs-Git: git://anonscm.debian.org/d-i/netcfg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/netcfg.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.143

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 endif
 
 ifneq ($(WIRELESS),0)
-LDOPTS		+= -liw
+LDOPTS		+= -liw -lm
 CFLAGS		+= -DWIRELESS
 endif
 ifneq ($(NM),0)

=== debian/changelog ===
netcfg (1.143) unstable; urgency=medium

  * Stop queueing rdnssd's installation with IPv6 setups. This component
    conflicts with network-manager and installing it from the network
    configuration step might prevents large parts of desktop environments
    from being installed. This isn't a perfect solution but this should be
    way better than the current status quo (Closes: #854801).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 26 May 2017 18:55:29 +0200

## netcfg 1.143+devuan1.1

=== debian/changelog ===
netcfg (1.143+devuan1.1) ascii; urgency=medium

  * version bump to fix dep in i386 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 07 Feb 2018 15:10:46 +0000

netcfg (1.143+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * added gbp.conf
  * merged version 1.143 from stretch


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 19 Jan 2018 11:00:53 +0000

netcfg (1.133+devuan0.1) unstable; urgency=medium

  * take over maintainership
  * change default hostname to devuan
  * change to git source format

 -- Daniel Reurich <daniel@centurion.net.nz>  Thu, 02 Jul 2015 10:25:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>,
-	Christian Perrier <bubulle@debian.org>,
-	Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/netcfg.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/netcfg.git
+Maintainer: Daniel Reurich <daniel@centurion.net.nz>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), git, libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
+Vcs-Browser: https://git.devuan.org/d-i/netcfg
+Vcs-Git: git@git.devuan.org:d-i/netcfg.git
 
 Package: netcfg
 Package-Type: udeb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	ethernet-card-detection,
-	isc-dhcp-client-udeb,
+	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
 	freebsd-net-tools-udeb [kfreebsd-any],
 	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	rdnssd-udeb,
-	ndisc6-udeb
+	ndisc6-udeb,
+	wide-dhcpv6-client-udeb [linux-any]
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

## netcfg 1.144

=== debian/changelog ===
netcfg (1.144) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yangfl

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Jun 2017 05:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Daniel Reurich <daniel@centurion.net.nz>
-Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), git, libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://git.devuan.org/d-i/netcfg
-Vcs-Git: git@git.devuan.org:d-i/netcfg.git
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>,
+	Christian Perrier <bubulle@debian.org>,
+	Philipp Kern <pkern@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/netcfg.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.147

=== debian/changelog ===
netcfg (1.147) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Nov 2017 21:32:03 +0100

netcfg (1.146) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Nov 2017 19:32:24 +0100

netcfg (1.145) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Sep 2017 08:31:21 +0200

## netcfg 1.148

=== debian/changelog ===
netcfg (1.148) unstable; urgency=medium

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Dec 2017 20:21:54 +0100

## netcfg 1.152

=== debian/changelog ===
netcfg (1.152) unstable; urgency=medium

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Hebrew (he.po) by Yaron Shahrabani
  * Norwegian Nynorsk (nn.po) by Alexander Jansen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Feb 2018 18:40:30 +0100

netcfg (1.151) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Petter Reinholdtsen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jan 2018 19:20:18 +0100

netcfg (1.150) unstable; urgency=medium

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Sebastian Rasmussen

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jan 2018 15:29:38 +0100

netcfg (1.149) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Dec 2017 18:51:19 +0100

## netcfg 1.154

=== debian/changelog ===
netcfg (1.154) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Aug 2018 10:44:20 +0200

netcfg (1.153) unstable; urgency=medium

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 Apr 2018 16:46:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	Christian Perrier <bubulle@debian.org>,
 	Philipp Kern <pkern@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/netcfg.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/netcfg.git
+Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
+Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.156

=== debian/changelog ===
netcfg (1.156) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Xuacu Saturio
  * Galician (gl.po) by mantinan
  * Croatian (hr.po) by Valentin Vidic
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 29 Oct 2018 23:00:52 +0100

netcfg (1.155) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Finnish (fi.po) by Arto Keiski
  * Galician (gl.po) by mantinan
  * Hebrew (he.po) by Yaron Shahrabani
  * Norwegian Bokmal (nb.po) by Allan Nordhøy

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 13:48:54 +0200

## netcfg 1.157

=== debian/changelog ===
netcfg (1.157) unstable; urgency=medium
  * Team upload

  [ Colin Watson ]
  * Use /usr/share/dpkg/default.mk rather than setting DEB_HOST_ARCH directly.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 19:39:26 +0100

## netcfg 1.158

=== debian/changelog ===
netcfg (1.158) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 Feb 2019 09:36:32 +0100

## netcfg 1.160

=== debian/changelog ===
netcfg (1.160) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 28 Mar 2019 18:56:21 +0100

netcfg (1.159) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 23:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Colin Watson <cjwatson@debian.org>,
 	Christian Perrier <bubulle@debian.org>,
 	Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
 Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git

## netcfg 1.160A~5.0.0.202012041628

=== debian/changelog ===
netcfg (1.160A~5.0.0.202012041628) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35435-d-i-Write-UCR-net-configuration
    0002-Bug-35731-d-i-Support-IPv4-Link-Local-config
    0003-Bug-36118-d-i-Skip-overwriting-etc-network-interface
    0004-Bug-42853-Added-French-language

 -- Univention builddaemon <buildd@univention.de>  Fri, 04 Dec 2020 16:28:29 +0100

## netcfg 1.160+devuan1~beowulf1

=== debian/changelog ===
netcfg (1.160+devuan1~beowulf1) beowulf; urgency=medium

  * merged 1.160 over 1.157+devuan1

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 14 Dec 2019 11:45:00 +1100

netcfg (1.156+devuan1) unstable; urgency=medium

  * merged 1.156 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 02 Nov 2018 13:03:12 +0000

netcfg (1.153+devuan1) ustable; urgency=medium

 * merged version 1.153 form buster

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 14 Apr 2018 01:01:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>,
-	Christian Perrier <bubulle@debian.org>,
-	Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+Maintainer: Daniel Reurich <daniel@centurion.net.nz>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), git, libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
+Vcs-Browser: https://git.devuan.org/d-i/netcfg
+Vcs-Git: https://git.devuan.org/devuan-packages/netcfg.git
 
 Package: netcfg
 Package-Type: udeb
